/* The container */
.checkbox-container {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 24px;
  margin-top: 24px;
  cursor: pointer;
  font-size: 16px;
  font-family: Open Sans;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.checkbox-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 1px;
  left: 0;
  height: 18px;
  width: 18px;
  border: solid 1px #959bad;
  border-radius: 3px;
}

/* On mouse-over, add a grey background color */
.checkbox-container:hover input ~ .checkmark {
  background-color: #243d7f;
}

/* When the checkbox is checked, add a blue background */
.checkbox-container input:checked ~ .checkmark {
  background-color: #243d7f;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.checkbox-container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkbox-container .checkmark:after {
  left: 5px;
  top: 1px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/* Alte checkbox    
	.checkbox, .checkbox input, .checkbox label, .checkbox span {
      box-sizing: border-box;
      user-select: none;
    }
    
    .checkbox {
	  font-size: 15px;
	  font-family: Open Sans;
	  font-weight: 600;
    }
    
    .checkbox input[type='checkbox'] {
	  display: none;
	}
    
    .checkbox input[type='checkbox'] + label {
      position: relative;
      display: flex;
      margin: .6em 0;
      align-items: center;
      color: #032b44;
      transition: color 250ms cubic-bezier(.4,.0,.23,1);
    }
    .checkbox input[type='checkbox'] + label > ins {
      position: absolute;
      display: block;
      bottom: 0;
      left: 2.2em;
      height: 0;
      width: 100%;
      overflow: hidden;
      text-decoration: none;
      transition: height 300ms cubic-bezier(.4,.0,.23,1);
    }
    .checkbox input[type='checkbox'] + label > ins > i {
      position: absolute;
      bottom: 0;
      font-style: normal;
      color: #09598a;
    }
    .checkbox input[type='checkbox'] + label > span {
      display: flex;
      justify-content: center;
      align-items: center;
	  margin-top: 3px;
      margin-right: 1em;
      width: 1.2em !important;
      height: 1.2em !important;
      background: transparent;
      border: 2px solid #032b44;
      border-radius: 2px;
      cursor: pointer;  
      transition: all 250ms cubic-bezier(.4,.0,.23,1);
    }
    
    .checkbox input[type='checkbox'] + label:hover, .checkbox input[type='checkbox']:focus + label{
      color: #032b44;
      cursor: pointer;
    }
    .checkbox input[type='checkbox'] + label:hover > span, .checkbox input[type='checkbox']:focus + label > span{
      background: rgba(255,255,255,.1);
    }
    .checkbox input[type='checkbox']:checked + label > ins{ height: 100%; }
    
    .checkbox input[type='checkbox']:checked + label > span{
      border: .6em solid #032b44;
      animation: shrink-bounce 200ms cubic-bezier(.4,.0,.23,1);
    }
    .checkbox input[type='checkbox']:checked + label > span:before{
      content: "";
      position: absolute;
      top: .6em;
      left: .2em;
      border-right: 3px solid transparent;
      border-bottom: 3px solid transparent;
      transform: rotate(45deg);
      transform-origin: 0% 100%;
      animation: checkbox-check 125ms 250ms cubic-bezier(.4,.0,.23,1) forwards;
    }
    
    @keyframes shrink-bounce{
      0%{
        transform: scale(1);
      }
      33%{    
        transform: scale(.85);
      }
      100%{
        transform: scale(1);    
      }
    }
    @keyframes checkbox-check{
      0%{
        width: 0;
        height: 0;
        border-color: white;
        transform: translate3d(0,0,0) rotate(45deg);
      }
      33%{
        width: .2em;
        height: 0;
        transform: translate3d(0,0,0) rotate(45deg);
      }
      100%{    
        width: .2em;
        height: .5em;    
        border-color: white;
        transform: translate3d(0,-.5em,0) rotate(45deg);
      }
    }
*/